JBoss API: Class InitialContextHandle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp.interfaces
Class InitialContextHandle

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.InitialContextHandle

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DefaultInitialContextHandle, PropertiesInitialContextHandle

public abstract class InitialContextHandle
extends java.lang.Object
implements java.io.Serializable

Provides the interface for creating new handles instances and for getting a reference to the initial context.

Version:
  $Revision: 1.2 $
Author:
  Jason Dillon <jason@planet57.com>
See Also:
  Serialized Form

Constructor Summary
`InitialContextHandle()`

Method Summary
`static InitialContextHandle` | `create()` Factory method for producting state objects.
`abstract javax.naming.InitialContext` | `getInitialContext()` Get the initial context for this handle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextHandle

    public InitialContextHandle()

Method Detail

### create

    public static InitialContextHandle create()

  Factory method for producting state objects.
  Returns:
    A state object.

### getInitialContext

    public abstract javax.naming.InitialContext getInitialContext()
                                                           throws javax.naming.NamingException

  Get the initial context for this handle.
  Returns:
    `InitialContext`.
  Throws:
    `javax.naming.NamingException` - Failed to create `InitialContext`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.